Installation de zimbra [Résolu/Fermé]

Signaler
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
-
Messages postés
29890
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
14 juin 2021
-
Bonjour,
J'ai installé tout les prés-recuis pour l'installation mais j'ai toujours ce message à la fon du check...

ZCS upgrade from 8.6.0 to 8.6.0 will be performed.
Validating ldap configuration
Can't locate Net/LDAP.pm in @INC (@INC contains: /opt/zimbra/zimbramon/lib /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at bin/zmValidateLdap.pl line 23.
BEGIN failed--compilation aborted at bin/zmValidateLdap.pl line 23.
Error: Unable to bind to the LDAP server as the root LDAP user.
This is required to upgrade.

Je ne trouve rien sur les forums...
Merci d'avancE.

3 réponses

Messages postés
29890
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
14 juin 2021
7 122
Bizarre en copiant ton message d'erreur j'ai trouvé ça :
https://wiki.zimbra.com/wiki/Upgrade_Script_Check_-_Validating_LDAP_configuration

As-tu essayé ?

Bonne chance
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
Je n'ai pas installé zimbra, donc je n'ai en aucun cas accès à ces commandes...
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
Do you agree with the terms of the software license agreement? [N] y




ERROR: Installation can not proceeed. Please fix your /etc/hosts file
to contain:

<ip> <FQHN> <HN>

Where <IP> is the ip address of the host,
<FQHN> is the FULLY QUALIFIED host name, and
<HN> is the (optional) hostname-only portion

Mon fichier est actuellement :

# Do not remove the following line, or various programs
# that require network functionality will fail.
188.165.230.25 mail.kaiv.ovh mail
127.0.0.1 localhost.localdomain localhost
188.165.230.25 ns322329.ip-188-165-230.eu ns322329
188.165.230.25 kaiv.ovh
188.165.230.25 jetroll.ovh
188.165.230.25 kaivgaming.fr
188.165.230.25 acadia.ovh
# The following lines are desirable for IPv6 capable hosts
#(added automatically by netbase upgrade)

::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts
Messages postés
29890
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
14 juin 2021
7 122
J'essaierais (même si ça semble supporté) d'enlever le champ optionnel sur cette ligne.

188.165.230.25 ns322329.ip-188-165-230.eu	ns322329 


Vérifie aussi avec
cat -A
que tu n'as pas inséré par mégarde un caractère invalide, des extra spaces etc...

Bonne chance
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
Merci, mon souci venait du hostname.
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
J'avance enfin puis :

Can't load '/opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Socket/Socket.so' for module Socket: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/auto/Socket/Socket.so) at /usr/share/perl/5.14/XSLoader.pm line 71.
at /opt/zimbra/zimbramon/lib/x86_64-linux-gnu-thread-multi/Socket.pm line 858.
Compilation failed in require at /opt/zimbra/zimbramon/lib/Net/LDAP.pm line 8.
BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/Net/LDAP.pm line 8.
Compilation failed in require at /opt/zimbra/libexec/zmsetup.pl line 25.
BEGIN failed--compilation aborted at /opt/zimbra/libexec/zmsetup.pl line 25.


Suis-je maudit ?
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
Souci réglé (dépendance, encore une...).
J'arrive sur la fin de l'installation.
Messages postés
29890
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
14 juin 2021
7 122
Ok, zimbra ne fournit pas de paquet debian pour s'installer (ça éviterait ce genre de soucis) ?
Messages postés
425
Date d'inscription
mardi 24 août 2010
Statut
Membre
Dernière intervention
25 juin 2020
6
Non, zimbra est sous ubuntu maintenant.
Messages postés
29890
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
14 juin 2021
7 122
Ok. Au cas où les dépendances sont ici (les noms correspondent très probablement entre les deux systèmes vu qu'ubuntu est basée sur debian) :
http://doc.ubuntu-fr.org/zimbra

Bonne chance